# Loki::LongevityLifetime::DieAsSmallObjectParent< T > Struct Template Reference
[Small objects]

`#include <SmallObj.h>`

Inheritance diagram for Loki::LongevityLifetime::DieAsSmallObjectParent< T >:
[legend]
Collaboration diagram for Loki::LongevityLifetime::DieAsSmallObjectParent< T >:
[legend]

List of all members.

## Detailed Description

### template<class T>
struct Loki::LongevityLifetime::DieAsSmallObjectParent< T >

Lifetime policy to manage lifetime dependencies of SmallObject base and child classes. The Base class should have this lifetime

The documentation for this struct was generated from the following file:

- SmallObj.h